### Constructor

# Jsonrpc Client new

since: 3.26

#### Declaration [src]

    JsonrpcClient*
    jsonrpc_client_new (
      GIOStream* io_stream
    )

#### Description [src]

Creates a new `JsonrpcClient` instance.

If you want to communicate with a process using stdin/stdout, consider using `GSubprocess` to launch the process and create a `GSimpleIOStream` using the `g_subprocess_get_stdin_pipe()` and `g_subprocess_get_stdout_pipe()`.

Available since: 3.26

#### Parameters

`io_stream`

  Type: `GIOStream`

  A `GIOStream`

  The data is owned by the caller of the function.

#### Return value

Type: `JsonrpcClient`

A newly created `JsonrpcClient`.

The caller of the function takes ownership of the data, and is responsible for freeing it.